For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all release templates
      • POSTCreate a release template
      • GETGet a release template
      • PUTUpdate a release template
      • DELDelete a release template
      • POSTArchive a release template
      • POSTAdd a milestone
      • PUTUpdate a milestone
      • DELRemove a milestone
      • POSTAdd a strategy to milestone
      • PUTUpdate milestone strategy
      • DELRemove milestone strategy
      • GETGet release plans
      • POSTAdd a release plan
      • DELRemove a release plan
      • POSTStart a milestone

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIRelease templates

Update a milestone

Deprecated
||View as Markdown|
PUT
https://app.unleash-instance.example.com/api/admin/release-plan-templates/:templateId/milestones/:milestoneId
PUT
/api/admin/release-plan-templates/:templateId/milestones/:milestoneId
$curl -X PUT https://app.unleash-instance.example.com/api/admin/release-plan-templates/templateId/milestones/milestoneId \
> -H "Authorization: <apiKey>"
1{
2 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
3 "name": "My milestone",
4 "sortOrder": 1,
5 "releasePlanDefinitionId": "01JB9GGTGQYEQ9D40R17T3YVW2",
6 "startedAt": "2024-01-01T00:00:00.000Z",
7 "transitionCondition": {
8 "intervalMinutes": 30
9 },
10 "progressionExecutedAt": "2024-01-01T00:00:00.000Z",
11 "pausedAt": "2024-01-01T00:00:00.000Z",
12 "strategies": [
13 {
14 "id": "01JB9GGTGQYEQ9D40R17T3YVW3",
15 "milestoneId": "01JB9GGTGQYEQ9D40R17T3YVW1",
16 "sortOrder": 9999,
17 "name": "flexibleRollout",
18 "strategyName": "flexibleRollout",
19 "title": "Gradual Rollout 25-Prod",
20 "parameters": {
21 "groupId": "some_new",
22 "rollout": "25",
23 "stickiness": "sessionId"
24 },
25 "constraints": [
26 {
27 "contextName": "appName",
28 "operator": "IN",
29 "caseInsensitive": false,
30 "inverted": false,
31 "values": [
32 "1",
33 "2"
34 ]
35 }
36 ],
37 "variants": [
38 {
39 "name": "blue_group",
40 "weight": 1,
41 "weightType": "fix",
42 "stickiness": "custom.context.field",
43 "payload": {
44 "type": "json",
45 "value": "{\"color\": \"red\"}"
46 }
47 }
48 ],
49 "segments": [
50 1,
51 2
52 ],
53 "disabled": false
54 }
55 ]
56}

Enterprise feature

Finds milestone by id, and updates to body included in request

Was this page helpful?
Previous

Remove a milestone

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

templateIdstringRequired
milestoneIdstringRequired

Response

#/components/schemas/releasePlanMilestoneSchema

idstring
The milestone's ID. Milestone IDs are ulids.
namestring
The name of the milestone.
sortOrderinteger
The order of the milestone in the release plan.
releasePlanDefinitionIdstring

The ID of the release plan/template that this milestone belongs to.

startedAtstring or nullformat: "date-time"
The date and time when the milestone was started.
transitionConditionobject or null
The condition configuration for the transition
progressionExecutedAtstring or nullformat: "date-time"
The date and time when the milestone progression was executed.
pausedAtstring or nullformat: "date-time"
The date and time when the milestone was paused.
strategieslist of objects
A list of strategies that are attached to this milestone.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error